Lua_AuctionBidTipsWindow = class("Lua_AuctionBidTipsWindow", Lua_Window);
function Lua_AuctionBidTipsWindow:ctor()
	self:superCall("ctor");
	self.windowName = "Lua_AuctionBidTipsWindow";
	self.skinName = "AuctionBidTipsWindow_skin";
end

function Lua_AuctionBidTipsWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.dragList = Lua_DragList.new(self.content,1, Vector4(0, 0, 768, 400));
    self.dragList:setLocation(0, -64, 0);
    self.dragList:setListCell(Lua_AuctionBidTipsItem, 110, 768, 1);
end

function Lua_AuctionBidTipsWindow:dispose()
	self:superCall("dispose");
end

function Lua_AuctionBidTipsWindow:showWin(param)
    self:superCall("showWin", param);

    self.dragList:setLuaArrayData(self.showData, false);
end




















---------------------------------------------------------------------
Lua_AuctionBidTipsItem = class("Lua_AuctionBidTipsItem", Lua_ListCell);
function Lua_AuctionBidTipsItem:ctor(p)
    self:superCall("ctor", p, "AuctionBidTipsItem_skin");
end

function Lua_AuctionBidTipsItem:buildShowItem()
	self:superCall("buildShowItem");

	self.checkBtn:addClickFuntion(self, self.onCheckBtnClick);
end

function Lua_AuctionBidTipsItem:dispose()
	self:superCall("dispose");
end

function Lua_AuctionBidTipsItem:setData(data)
	local str = "[url=showItem_"..data.item_id.."]"..data.vo.colorName.."[/url]";
	self.info.text = LanUtil.formateStr(LanUtil.getValue(143207), str);
end

function Lua_AuctionBidTipsItem:onPlayerSoundClick()
    local urlStr = self.info:getUrlByMousePos();
    if urlStr ~= nil then
        local str = string.split(urlStr, "_");
        if str[1] == "showItem" then
        	local vo = Lua_ToolVo.createToolVo(tonumber(str[2]));
            Lua_PackUtil.showItemInfo(vo);
        end
    end
end

function Lua_AuctionBidTipsItem:onCheckBtnClick()
	Lua_WindowUtil.openWin("Lua_AuctionBidTipsWindow", WinParam.ACTION_CLOSE);
	Lua_WindowUtil.openWin("Lua_PeakAuctionWindow", WinParam.ACTION_OPEN);
end